GNU bug report logs - #45748
28.0.50; fit-frame-to-buffer ignores leading spaces

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Aaron Jensen <aaronjensen@HIDDEN>; dated Sat, 9 Jan 2021 15:44:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 45748 <at> debbugs.gnu.org:


Received: (at 45748) by debbugs.gnu.org; 13 Jan 2021 14:26:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 09:26:58 2021
Received: from localhost ([127.0.0.1]:34732 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzh6w-0002b7-BZ
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 09:26:58 -0500
Received: from eggs.gnu.org ([209.51.188.92]:59974)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kzh6v-0002au-1z
 for 45748 <at> debbugs.gnu.org; Wed, 13 Jan 2021 09:26:57 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56924)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kzh6p-00040m-HO; Wed, 13 Jan 2021 09:26:51 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4876
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kzh6n-0001f8-Hs; Wed, 13 Jan 2021 09:26:50 -0500
Date: Wed, 13 Jan 2021 16:26:49 +0200
Message-Id: <83eeiodiae.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Aaron Jensen <aaronjensen@HIDDEN>
In-Reply-To: <CAHyO48y5ZXfW1GcHFkmc02HQDQ+T2izNdoRcKne1h_2C=31HfQ@HIDDEN>
 (message from Aaron Jensen on Tue, 12 Jan 2021 22:34:42 -0600)
Subject: Re: bug#45748: 28.0.50; fit-frame-to-buffer ignores leading spaces
References: <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
 <CAHyO48yZWuGQofJKrY6P4gY+KGiSpbh8aEWGcMDCE1h370Wgjg@HIDDEN>
 <01d09a7b-09b0-9221-5bf3-8454f94704f7@HIDDEN>
 <CAHyO48yXNMon_Wos+W5zZR-eD=5yYsxivA2=3Lurr2Z6edkyyQ@HIDDEN>
 <CAHyO48wkfn=-9_FAW_MO=GebtnhtPDH=u2V+FJb0_NGwZQfrSw@HIDDEN>
 <83k0smgeq8.fsf@HIDDEN>
 <CAHyO48zBAA6b7h5iVV+zFxo-EzyQ3wLGmGn4AfpdTZPJMh7kJQ@HIDDEN>
 <CAHyO48y5ZXfW1GcHFkmc02HQDQ+T2izNdoRcKne1h_2C=31HfQ@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45748
Cc: rudalics@HIDDEN, 45748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Aaron Jensen <aaronjensen@HIDDEN>
> Date: Tue, 12 Jan 2021 22:34:42 -0600
> Cc: martin rudalics <rudalics@HIDDEN>, 45748 <at> debbugs.gnu.org
> 
> > On Sat, Jan 9, 2021 at 12:14 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> > > Yes, probably.
> > >
> > > But before we do any changes here, we need a test suite.  Would you
> > > mind adding the necessary tests to test/src/xdisp-tests.el?
> >
> > Okay, I added a few basic tests for this case. I don't know if that's
> > the best way to test it, but it's what I could figure out.
> > ...
> 
> Does this one look good to you?

Sorry, I didn't yet have time to take a good look at the changes.  I
will do that in a couple of days.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45748; Package emacs. Full text available.

Message received at 45748 <at> debbugs.gnu.org:


Received: (at 45748) by debbugs.gnu.org; 13 Jan 2021 04:35:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 23:35:02 2021
Received: from localhost ([127.0.0.1]:33921 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzXs5-0006pV-T0
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 23:35:02 -0500
Received: from mail-yb1-f170.google.com ([209.85.219.170]:37965)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1kzXs4-0006p5-6w
 for 45748 <at> debbugs.gnu.org; Tue, 12 Jan 2021 23:35:00 -0500
Received: by mail-yb1-f170.google.com with SMTP id r63so968750ybf.5
 for <45748 <at> debbugs.gnu.org>; Tue, 12 Jan 2021 20:35:00 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=5dQvkjGmvtNcSZTI6X1F+1RxztKHG2xAckPpeLLelCQ=;
 b=EuZsMrbFQIF4IZBPpgTUi62SBqGkD8VvyiTAfgmYQ2SfMoOBnPU/lEsLrdf+/v4Yqf
 Q7PG24FUt/sSsZpnT8SMZLIqAjikRdzlTy6ckiJNUVd+Ldl6E0aD8uoB7NGivMAbVhqk
 5Zpd52LeNXDshgMmcx+8MSvgVqD2okCSX9OESpBaOYoBj3QZGyVhTETxMjPeCNCZNzb9
 rsBS0chxJZKg/PROd/ZoZ6SIBzZg1RyrBRH80LaY/wul+0Dk+udmEZWpNQE0AJemNX+u
 Rh8/cN1A7jrcmkpYaIdQMpgGjQwUqiDkn5JWTq6qgW0BXf37/m9xhQ61+cwWka7AWZZW
 YhbA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=5dQvkjGmvtNcSZTI6X1F+1RxztKHG2xAckPpeLLelCQ=;
 b=WkQvUXYfx3E8gtmSK11SP89ODFS7wAztOB9l0stVz+kvy5vzcD1nG8CUe9N+skt937
 +wXEI17i7dqAWLUe9jXROn6HsIMeewQXL39pAUaFAph95tEFoy4q2EVcA6R/e6ioP/7X
 8fiQO0AQctW37ke2+J/2mivd711RFUNSYSWvOSX+fz6ajTe3vdSvJ5J8rehH5zSUUrGF
 Ds6oe3aE4xs3zhw6SbpeWq8AnQsjVc1JaKlzNJmmbLMbkgAE11u2l3QBfELlXY7Twdla
 L7DeCg13KoYPTj+Srf9JZ7a2hqMjf+1muYuebhethE4LI/p+bIbmN1DcgLxZis3kFHs+
 3isQ==
X-Gm-Message-State: AOAM532j7beEswl0YLa8eB6AClsZA8O1v8BpRZS/Te7nW1EYbFKkburN
 9WMzBudoJ+KiL66z94Qv8mXPMDQuF8vzGrylTaM=
X-Google-Smtp-Source: ABdhPJy4jxbIsNwK9rpRHp97vegvH1tDEqOuuRgfNZvjEe0tZyerpyTG6/5C1E5xGkGqwwxTRZEeRWLg5Ic5pE2KGHA=
X-Received: by 2002:a25:497:: with SMTP id 145mr652210ybe.275.1610512494585;
 Tue, 12 Jan 2021 20:34:54 -0800 (PST)
MIME-Version: 1.0
References: <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
 <CAHyO48yZWuGQofJKrY6P4gY+KGiSpbh8aEWGcMDCE1h370Wgjg@HIDDEN>
 <01d09a7b-09b0-9221-5bf3-8454f94704f7@HIDDEN>
 <CAHyO48yXNMon_Wos+W5zZR-eD=5yYsxivA2=3Lurr2Z6edkyyQ@HIDDEN>
 <CAHyO48wkfn=-9_FAW_MO=GebtnhtPDH=u2V+FJb0_NGwZQfrSw@HIDDEN>
 <83k0smgeq8.fsf@HIDDEN>
 <CAHyO48zBAA6b7h5iVV+zFxo-EzyQ3wLGmGn4AfpdTZPJMh7kJQ@HIDDEN>
In-Reply-To: <CAHyO48zBAA6b7h5iVV+zFxo-EzyQ3wLGmGn4AfpdTZPJMh7kJQ@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Tue, 12 Jan 2021 22:34:42 -0600
Message-ID: <CAHyO48y5ZXfW1GcHFkmc02HQDQ+T2izNdoRcKne1h_2C=31HfQ@HIDDEN>
Subject: Re: bug#45748: 28.0.50; fit-frame-to-buffer ignores leading spaces
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45748
Cc: martin rudalics <rudalics@HIDDEN>, 45748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli,

On Sat, Jan 9, 2021 at 8:56 PM Aaron Jensen <aaronjensen@HIDDEN> wrote:
>
> On Sat, Jan 9, 2021 at 12:14 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> > Yes, probably.
> >
> > But before we do any changes here, we need a test suite.  Would you
> > mind adding the necessary tests to test/src/xdisp-tests.el?
>
> Okay, I added a few basic tests for this case. I don't know if that's
> the best way to test it, but it's what I could figure out.
> ...

Does this one look good to you?

Aaron




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45748; Package emacs. Full text available.

Message received at 45748 <at> debbugs.gnu.org:


Received: (at 45748) by debbugs.gnu.org; 10 Jan 2021 17:59:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 10 12:59:06 2021
Received: from localhost ([127.0.0.1]:54876 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyeza-00084S-IJ
	for submit <at> debbugs.gnu.org; Sun, 10 Jan 2021 12:59:06 -0500
Received: from mail-yb1-f171.google.com ([209.85.219.171]:36157)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1kyezZ-00083t-9W
 for 45748 <at> debbugs.gnu.org; Sun, 10 Jan 2021 12:59:05 -0500
Received: by mail-yb1-f171.google.com with SMTP id y4so14743036ybn.3
 for <45748 <at> debbugs.gnu.org>; Sun, 10 Jan 2021 09:59:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=8oEGM669C0ouU8wwIqdSFDTUV7g33Gkwc3Mfs8WOWEg=;
 b=RPKp46jP/kKjBIJKs5+7AnERxYoKUqOHgMNPSgOE10c9/io0YuRLPicbx+leze/oLQ
 Vj+/WZKSEP7nnE6jo0ruQOXz+zunIFK3T4QWUFPLo+LXl1w1UvfpRRD9dUeHah/emSpe
 MEVbViUChDt7G+AoW/wWHO0mUzp7AxU2/8verLNmgLStgWvn35ErW8wyn5waIacaMMJH
 0jlaFok4Oty13DiLjyH2eluiBjj6jUz1O9OJm74vOdTEVl9AYAvOB750VGRzq0REO6rj
 zJ3YHjLSMcNQjVfrZDaEFHdStb1GkQl1E2zfN/nM6KHg41nze+by6jicQPVQ1huOJD0b
 F83w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=8oEGM669C0ouU8wwIqdSFDTUV7g33Gkwc3Mfs8WOWEg=;
 b=R1SdWHi+zVZ8s7kwMWHFH0sC7W8MVFU708r/8cYg0v6BT9Hch88ez53AKvqqXBmGjs
 v7iHUfuPzu7liDJjE/wrxoPg2RKhLvz63qiP1Z74OZ4aTehKHlfade7UvQ/s2qk8iRBY
 ip1mPzUcRV/QrbTa+jxcB20oCZYdQNoTa19JEylziaFnNsfiPBFNQC1aufZX+IiONZfy
 /yjr5LTk7GWEwn6sV2uTSgI7RXKr9jcWG/b4DIOjBN0LiMOO5o1LT/GKK9sReIusuPv3
 sFvWt9CYIpqoiJK232anrMVa7MgvayVF874Gw5eRkXB4tTDEmvYfGfVEJfl1KqE4clCk
 U2iA==
X-Gm-Message-State: AOAM531e97BdxffDIpH9ZyghNxE7zbkKYtEqJAfZEVZjqYzbQe0upPXx
 wgAqZJOlfOZFr8+hTRCcEVnONw+sS/Ty+/bLJRg=
X-Google-Smtp-Source: ABdhPJxFtmuJV/VvAWCSkhnCZmGrFjfahzf+tjWwi6pHk4kkBU5QUl/R7rnhQqBcgdXdyTywXyMq/RbOqdB50SVi/j8=
X-Received: by 2002:a25:9c07:: with SMTP id c7mr19534561ybo.21.1610301539672; 
 Sun, 10 Jan 2021 09:58:59 -0800 (PST)
MIME-Version: 1.0
References: <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
 <CAHyO48yZWuGQofJKrY6P4gY+KGiSpbh8aEWGcMDCE1h370Wgjg@HIDDEN>
 <01d09a7b-09b0-9221-5bf3-8454f94704f7@HIDDEN>
 <CAHyO48yXNMon_Wos+W5zZR-eD=5yYsxivA2=3Lurr2Z6edkyyQ@HIDDEN>
 <CAHyO48wkfn=-9_FAW_MO=GebtnhtPDH=u2V+FJb0_NGwZQfrSw@HIDDEN>
 <83k0smgeq8.fsf@HIDDEN>
 <CAHyO48zBAA6b7h5iVV+zFxo-EzyQ3wLGmGn4AfpdTZPJMh7kJQ@HIDDEN>
 <df22fe98-a96a-8a2a-7e7e-a01ab1431ad7@HIDDEN>
 <CAHyO48xFAhE5u_JP3HcvdN=_qK+ZU9DeLhcR7-DMjCUH_u2UdA@HIDDEN>
 <dcddeb5f-777c-97fd-bf43-163fbf03b9de@HIDDEN>
 <CAHyO48xkZvn6nh26QsLGfB2u7-9nVxbjMuCEgvDKAdndEumuWw@HIDDEN>
 <f9a7c33d-98be-a252-5aae-c872ef5a3883@HIDDEN>
In-Reply-To: <f9a7c33d-98be-a252-5aae-c872ef5a3883@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Sun, 10 Jan 2021 11:58:48 -0600
Message-ID: <CAHyO48waK9RDyufxiGWx-SfBWfYyvh=J6NskGxraSLs31+yQuA@HIDDEN>
Subject: Re: bug#45748: 28.0.50; fit-frame-to-buffer ignores leading spaces
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45748
Cc: Eli Zaretskii <eliz@HIDDEN>, 45748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun, Jan 10, 2021 at 11:57 AM martin rudalics <rudalics@HIDDEN> wrote:
>
> DTRT as in "does the right thing".

Ah, TIL (that's Today I Learned ;) )

> martin, who didn't know that a dtrt-mode existed

Hah

Best,

Aaron




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45748; Package emacs. Full text available.

Message received at 45748 <at> debbugs.gnu.org:


Received: (at 45748) by debbugs.gnu.org; 10 Jan 2021 17:57:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 10 12:57:39 2021
Received: from localhost ([127.0.0.1]:54872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyeyB-000827-4b
	for submit <at> debbugs.gnu.org; Sun, 10 Jan 2021 12:57:39 -0500
Received: from mout.gmx.net ([212.227.17.20]:34601)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1kyey9-00081u-9G
 for 45748 <at> debbugs.gnu.org; Sun, 10 Jan 2021 12:57:37 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1610301450;
 bh=bQykgeBxYgCBPN7O8Z4hz0KSifZBSFEsmRq6/zUvKBU=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=IertGeZw+gZmf3cUp/ajxDZ/n3v1SekJ3daFonIEz6YdVAPz72/gYqdGmZl7H2ae4
 26qVntKPdpGnNFqMInukVdJsmhDJonYAfUS66pfvBoanJ1ohy8fp9wfxIp0Zc3WYJg
 UFDzgNSa9rVRuzSxsTzbm5yu7wuvO0/kqU9cQmU0=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.93]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N2V0B-1jxG7R1hLr-013zeW; Sun, 10
 Jan 2021 18:57:30 +0100
Subject: Re: bug#45748: 28.0.50; fit-frame-to-buffer ignores leading spaces
To: Aaron Jensen <aaronjensen@HIDDEN>
References: <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
 <CAHyO48yZWuGQofJKrY6P4gY+KGiSpbh8aEWGcMDCE1h370Wgjg@HIDDEN>
 <01d09a7b-09b0-9221-5bf3-8454f94704f7@HIDDEN>
 <CAHyO48yXNMon_Wos+W5zZR-eD=5yYsxivA2=3Lurr2Z6edkyyQ@HIDDEN>
 <CAHyO48wkfn=-9_FAW_MO=GebtnhtPDH=u2V+FJb0_NGwZQfrSw@HIDDEN>
 <83k0smgeq8.fsf@HIDDEN>
 <CAHyO48zBAA6b7h5iVV+zFxo-EzyQ3wLGmGn4AfpdTZPJMh7kJQ@HIDDEN>
 <df22fe98-a96a-8a2a-7e7e-a01ab1431ad7@HIDDEN>
 <CAHyO48xFAhE5u_JP3HcvdN=_qK+ZU9DeLhcR7-DMjCUH_u2UdA@HIDDEN>
 <dcddeb5f-777c-97fd-bf43-163fbf03b9de@HIDDEN>
 <CAHyO48xkZvn6nh26QsLGfB2u7-9nVxbjMuCEgvDKAdndEumuWw@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <f9a7c33d-98be-a252-5aae-c872ef5a3883@HIDDEN>
Date: Sun, 10 Jan 2021 18:57:29 +0100
MIME-Version: 1.0
In-Reply-To: <CAHyO48xkZvn6nh26QsLGfB2u7-9nVxbjMuCEgvDKAdndEumuWw@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:59T/1Njuom/xMWcLwqtd4lFfS3XTobLEmwCtiWdR1rluW0B9BWa
 4lZfanbkjNq/BbM9tA3MRG3Q3oEIqXp4SRgpfzO8IPO93/wx742FvOQgRwry5PupaAnkwn7
 Zy9Hu8YVrER6XBa5Di58LrMWR8gctHnwCEyROUeEqL4yHGWO63M/ly33BWiJukTGa9Og55x
 HcWbcfKNbf6ZdXLUSEPoQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:WYg/Y7zEmEE=:G/I2QgbAKDQmg4WQBGQY+c
 GUhSyqeoT5NG0ecUn8ySMYIywA/bKjmfw8zobe6UTQV9UPzBsstNGE/XGbK+3iAG9Vu7V8TKo
 ysBRFM9B3V/4/GMGb1dhr7td7apObZEvu6IyCu+8kcdDK9Apuhg6yKuVwXqTB8/FMYak+CL1y
 01VuvyXYRhO87jbyXom6IYcBVh/XKFKFbVDHawa3ABELnFSn2swj9whhLAjqNLlkywQk7G6l7
 GJ5BiOx9oLbCvV5BpqRmc4IptUMM0tcw9ocmWR2S765ORUrsRjCZdAHlyOAp5zV4CeNZVpKFk
 tFnvLW6yBsDYGBQvaoIV17/fWo6Y/rQLkr4YRnBweKZekcuafKdhTEP6CQEP6QgLt6GYw7ZV9
 zZLHdkatAfOnK1d8bmUoagBliL8tMrcEm0ZCGDK/q93MYduYEGViWR/AnE8yho3U97SUqTLhv
 l0AOJfRgEYnjCOFsgUU4lx4Q8uvDNVcgvQZxqoNz/b7sfoY8an8ouINcmfDK7Gt8h9rkmXQ1G
 9YNnluJmHaHkMq96fKenF0SOkOb0gtAw5WmXVHZPWobUUnJgzGDr3L9KlJg7VEutTNCqf3DU7
 TlEPKW+r0rDXOzJmX6oOR63uHQD44VHiCpUEp2fs8f7cPyBj41EYO3AXZk8Y0sOLCHOT4hH+8
 FKEVygqJHHM4O+HMtL3J1cAW7V74yyVS5geRUcRv0pP+wueIgCFNFkht4ro7mb9/7zwLUeXCw
 7e1rOldtVYf2h8XGc7jn/tfQO/MxGW2sIKQshv8wfG8jKO9jO+Qhj0cuhel16hyKB6CJ8SLjs
 AWXXBcTIeXtlksTHn7meru44SyoUUw44nwAzlW/Pjb6eJzyVCHLJyIm+XN34SOUPtFhs38pN1
 OuHeJK1N6KxTZ2zyGIx7erP2NGEJYWnpFCMOTJaFQ=
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  >> It didn't for some reason but applies now and seems to
 DTRT. So I think >> you should install it. > > Sorry, dtrt as in dtrt-mode?
 DTRT as in "does the right thing". > or something else? And by install do
 you > mean apply the patch (I'm not a committer). 
 Content analysis details:   (2.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [212.95.5.93 listed in zen.spamhaus.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (rudalics[at]gmx.at)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [212.227.17.20 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.17.20 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 45748
Cc: Eli Zaretskii <eliz@HIDDEN>, 45748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  >> It didn't for some reason but applies now and seems to
    DTRT. So I think >> you should install it. > > Sorry, dtrt as in dtrt-mode?
    DTRT as in "does the right thing". > or something else? And by install do
    you > mean apply the patch (I'm not a committer). 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [212.95.5.93 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.20 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [212.227.17.20 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

 >> It didn't for some reason but applies now and seems to DTRT.  So I think
 >> you should install it.
 >
 > Sorry, dtrt as in dtrt-mode?

DTRT as in "does the right thing".

 > or something else? And by install do you
 > mean apply the patch (I'm not a committer).

I meant to push it.  Eli, if you are OK with it, please push it.

 > Sorry, just not up on al
 > the lingo :)

martin, who didn't know that a dtrt-mode existed




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45748; Package emacs. Full text available.

Message received at 45748 <at> debbugs.gnu.org:


Received: (at 45748) by debbugs.gnu.org; 10 Jan 2021 17:51:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 10 12:51:51 2021
Received: from localhost ([127.0.0.1]:54867 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyesZ-0007u0-Ft
	for submit <at> debbugs.gnu.org; Sun, 10 Jan 2021 12:51:51 -0500
Received: from mail-yb1-f172.google.com ([209.85.219.172]:38587)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1kyesY-0007tp-IY
 for 45748 <at> debbugs.gnu.org; Sun, 10 Jan 2021 12:51:51 -0500
Received: by mail-yb1-f172.google.com with SMTP id r63so14703495ybf.5
 for <45748 <at> debbugs.gnu.org>; Sun, 10 Jan 2021 09:51:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=KVu0ORxqfvFCBwLUQuVCSFFOBKcGYFnzSi3tqCTrzsA=;
 b=IJZ3Ny7U3n5cDTYxBUrl92otX1t+PJgtXgTKJRHthXTChkLiSFNsykLwDr2et5qFM5
 WBujfZpCYwnFb/jAlrRoKiaQWKWvMP/+4CNbItwQFUv6vwlGsmzFQynLXzzGwk73zmhW
 Eqof3/E9uqdAYsPPW3z5p1nFv61Mz3Xd580Ab4IOsIbZ8Ezb0mA/D/ki0/JIy58D8nXm
 sK4AMxYqHswYrXv5i+fG0wQVIn5aI0HelYQV0Y+UQ/MS7P092QhBxWlarHe9tH7DtEes
 NgX0BZG1+dS4RHxcEOyIV3IKnVvbSMkdaZPTWZwI/tbE598L2qN5OxZhS4Cb8HXaZGGY
 ESaw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=KVu0ORxqfvFCBwLUQuVCSFFOBKcGYFnzSi3tqCTrzsA=;
 b=BV2Gcsr8UIXMDGOkz34IwCRHkw1CWYscQr4VS/yH39TpK+ypwb15ne/OR6SIg/PQrR
 bPOoscyZBz3+VOvQSwgPpCKKrFLISRH0Sa/lv9uFtEtfPmX80KItflSuCGqimL3CawHX
 fQizjT5sDKz6MrYxpgY/wb7w/j9y+WeXl9caSHK+ZeGtuRSFNJK8yFFcTb8dugErbOj/
 2TStpasoi48yGFitsiwR7KTB/eFPgh0R+HjkZ9gMMozoKn3pzJ++GnAZ3b0EfY+EI+dd
 bSRub5TPGrgccTV+NbONYSAgWLX9gT57ajfp7BB47lxo1bC8SU7CoXzR4NCPzvDRMnP8
 r7VQ==
X-Gm-Message-State: AOAM532Kv51sJqhojvPsqtki4hmG9Z6sSbA9/P46gMatPJGLfTZh4lJw
 OR5/8dhaFk4LiT+CBPsk7Afu61isX3QibJB8KMwdQpZ/1h8=
X-Google-Smtp-Source: ABdhPJx9YLw/oxdVX/e5goitWIJM/WmeZcZWUMUEKqCDEu2xqAG+hYlZnUbzgziStSBz4Pcf1YmmRR6oHbyuGxcll/c=
X-Received: by 2002:a25:9c07:: with SMTP id c7mr19505507ybo.21.1610301105037; 
 Sun, 10 Jan 2021 09:51:45 -0800 (PST)
MIME-Version: 1.0
References: <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
 <CAHyO48yZWuGQofJKrY6P4gY+KGiSpbh8aEWGcMDCE1h370Wgjg@HIDDEN>
 <01d09a7b-09b0-9221-5bf3-8454f94704f7@HIDDEN>
 <CAHyO48yXNMon_Wos+W5zZR-eD=5yYsxivA2=3Lurr2Z6edkyyQ@HIDDEN>
 <CAHyO48wkfn=-9_FAW_MO=GebtnhtPDH=u2V+FJb0_NGwZQfrSw@HIDDEN>
 <83k0smgeq8.fsf@HIDDEN>
 <CAHyO48zBAA6b7h5iVV+zFxo-EzyQ3wLGmGn4AfpdTZPJMh7kJQ@HIDDEN>
 <df22fe98-a96a-8a2a-7e7e-a01ab1431ad7@HIDDEN>
 <CAHyO48xFAhE5u_JP3HcvdN=_qK+ZU9DeLhcR7-DMjCUH_u2UdA@HIDDEN>
 <dcddeb5f-777c-97fd-bf43-163fbf03b9de@HIDDEN>
In-Reply-To: <dcddeb5f-777c-97fd-bf43-163fbf03b9de@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Sun, 10 Jan 2021 11:51:33 -0600
Message-ID: <CAHyO48xkZvn6nh26QsLGfB2u7-9nVxbjMuCEgvDKAdndEumuWw@HIDDEN>
Subject: Re: bug#45748: 28.0.50; fit-frame-to-buffer ignores leading spaces
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45748
Cc: Eli Zaretskii <eliz@HIDDEN>, 45748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun, Jan 10, 2021 at 11:49 AM martin rudalics <rudalics@HIDDEN> wrote:
>
>  > Not sure I follow, does the patch not apply?
>
> It didn't for some reason but applies now and seems to DTRT.  So I think
> you should install it.

Sorry, dtrt as in dtrt-mode? or something else? And by install do you
mean apply the patch (I'm not a committer). Sorry, just not up on al
the lingo :)

Thanks,

Aaron




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45748; Package emacs. Full text available.

Message received at 45748 <at> debbugs.gnu.org:


Received: (at 45748) by debbugs.gnu.org; 10 Jan 2021 17:49:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 10 12:49:24 2021
Received: from localhost ([127.0.0.1]:54856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyeqC-0007pg-Pq
	for submit <at> debbugs.gnu.org; Sun, 10 Jan 2021 12:49:24 -0500
Received: from mout.gmx.net ([212.227.17.20]:56875)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1kyeqB-0007pT-J9
 for 45748 <at> debbugs.gnu.org; Sun, 10 Jan 2021 12:49:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1610300956;
 bh=ecqcBWbeWwCZx8F1JQWreKdnPO44O0h98gOBLEk1Ie4=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=ZgBc2uLRR8QxUSHqFuO560hm+G9kvNi6NPzsE9etYBZOvdJpcy9RyWzX191QZDwEW
 lGyCTodmmH4wEcuplh3Fr5+SYavciOwrfeuSIR9DCeUASSaUcx7DTi8BXxe8LulXmF
 pzntAjh/NSMpL19qbYxvMn2IsRV3b+mdWmAg+Foc=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.93]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MTiPl-1kWuJt2M0b-00U4o0; Sun, 10
 Jan 2021 18:49:16 +0100
Subject: Re: bug#45748: 28.0.50; fit-frame-to-buffer ignores leading spaces
To: Aaron Jensen <aaronjensen@HIDDEN>
References: <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
 <CAHyO48yZWuGQofJKrY6P4gY+KGiSpbh8aEWGcMDCE1h370Wgjg@HIDDEN>
 <01d09a7b-09b0-9221-5bf3-8454f94704f7@HIDDEN>
 <CAHyO48yXNMon_Wos+W5zZR-eD=5yYsxivA2=3Lurr2Z6edkyyQ@HIDDEN>
 <CAHyO48wkfn=-9_FAW_MO=GebtnhtPDH=u2V+FJb0_NGwZQfrSw@HIDDEN>
 <83k0smgeq8.fsf@HIDDEN>
 <CAHyO48zBAA6b7h5iVV+zFxo-EzyQ3wLGmGn4AfpdTZPJMh7kJQ@HIDDEN>
 <df22fe98-a96a-8a2a-7e7e-a01ab1431ad7@HIDDEN>
 <CAHyO48xFAhE5u_JP3HcvdN=_qK+ZU9DeLhcR7-DMjCUH_u2UdA@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <dcddeb5f-777c-97fd-bf43-163fbf03b9de@HIDDEN>
Date: Sun, 10 Jan 2021 18:49:15 +0100
MIME-Version: 1.0
In-Reply-To: <CAHyO48xFAhE5u_JP3HcvdN=_qK+ZU9DeLhcR7-DMjCUH_u2UdA@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:FWRvh9lnlg1TPrHXIHF0kcT3isMKLO026Asf1egdIkirSQ4jjKU
 0ABYYq6kxiqvupVjibfSCXUkiwnWcTmbhwTQfobrEg9UCcs413RfjUrtb3/SBn1jl3TrBrm
 ubcalwtAI7ra2zmwykerUaLca2NdA0VOOzbXWpSI7nwfQLEKT2ZbXvQtQbWT5xfvTnaSCAe
 vU9OS7aKsfDDaTA8iEfrQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:rrPoa9gHJy4=:nB5NUTW0b0+v/xR9yi/CLN
 5ujsxS/7FNjcy17W7ncmzWcb1nUpONvOSbNio+3bkyNyJ3lBUTNKq9EBsgwcq6getHP145gc2
 Ino0+NSSOhv3ggtFMkBLNH9Zzs+IjZPEpHqAOjecnH+f81pLHdoG4aBdtzRhCWx5Lpvz5tfd3
 5cwjrV0OohrCk71+gunZ95n5rOot3Hphf+DFDkvrG9cocQvonrq7VhOfZmW4R5lnhxiMlG2Gs
 /r/VWP3KyBhtPlCaLr6Q/oxv5LtwToxn9k8z5gho3qjcDAOgQnCRp7rtpqWau2W3tMICSdohA
 rqoTsaH7wM0eeFlUBsLnHU5R7oeUPu1lNRgXRZSz6AEpvEHfI4Wd3YsROECLG8PqIo3ZA3sOD
 XAqlpVJfTNQXslUT5DeCz6xdICRmnurzG5/njnP7nph3jBEvRb7JXdkAxSeCXnOgEL9b0O1Jc
 12kJppmTACHQJ44K5d29ES/zpLMRtewRaGm6ayWKxKQmBR37ob8R1/qqrwZlt7zkd7W4BSCHi
 izKmo7SSKxCNH/K/OhenifEzf+2UTRZe1cdXP9KqrN07YbOoT/wE7z2VkJS/Mbc63OI2hJj8S
 KURpMvfmPDNlQPbG6cVMGGwxxiGmLfb45VFDZPxCuSjaBtBFuplIUfNE7YXVMLW88D26WjRev
 kTExdfiqHMT5T2a52IK1EuPHUyWphbFcmMLbGyiusyfc0D2mCHagOs/qt0CpOQSZQ7rUavzlW
 bcFSVKfl5PzqVDBduPfy/3hdndTZgJVPVWHszUURqYv167/6CvmV84tgH4GhhN80L1e2xO/HV
 N8iKBNKNZOg4Vnmy2AzoamK1h5ZUBDbg+kInlcxkx1RpZp5wm9QlfT/I6ITSA9gWky9kzhGrL
 8NffFU8pGPSUCQMyQO5528OvuJDo4WAm7XjgY5rQc=
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > Not sure I follow, does the patch not apply? It didn't
 for some reason but applies now and seems to DTRT. So I think you should
 install it. Thanks, martin 
 Content analysis details:   (2.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [212.95.5.93 listed in zen.spamhaus.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (rudalics[at]gmx.at)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.17.20 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [212.227.17.20 listed in wl.mailspike.net]
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 45748
Cc: Eli Zaretskii <eliz@HIDDEN>, 45748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > Not sure I follow, does the patch not apply? It didn't
   for some reason but applies now and seems to DTRT. So I think you should install
    it. Thanks, martin 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [212.95.5.93 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.20 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [212.227.17.20 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

 > Not sure I follow, does the patch not apply?

It didn't for some reason but applies now and seems to DTRT.  So I think
you should install it.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45748; Package emacs. Full text available.

Message received at 45748 <at> debbugs.gnu.org:


Received: (at 45748) by debbugs.gnu.org; 10 Jan 2021 17:32:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 10 12:32:17 2021
Received: from localhost ([127.0.0.1]:54835 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyeZO-0007N1-BG
	for submit <at> debbugs.gnu.org; Sun, 10 Jan 2021 12:32:17 -0500
Received: from mail-yb1-f170.google.com ([209.85.219.170]:37454)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1kyeZM-0007Mb-Md
 for 45748 <at> debbugs.gnu.org; Sun, 10 Jan 2021 12:32:01 -0500
Received: by mail-yb1-f170.google.com with SMTP id d37so14682045ybi.4
 for <45748 <at> debbugs.gnu.org>; Sun, 10 Jan 2021 09:32:00 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=XTLT/2PcgWZOxAdj7r8gNuCzOUM3okXc6/Beuj+EDLo=;
 b=lkaj0Xtjfkiq6VFI64BHnbxGYm/HMx7IYTLrsZYOutoC/b3W191zpeLOKh3sTHzJOX
 900Ijh/bAgX6zDg3ZubMWQyGgroNHRJMZP6yD8JnYDTuPNgjo1F6LjlKDAzelRD9jtJ1
 idI82AdD4llDc3Q1X//RCZj/2o0A8S60DCHj6sB3FGf7WmUmUKEk6Yp62FJw5WceC0VN
 /BP5JxyZp03fFLRgkGhq6DoVCnOpkUWL8/Ny07qVDc4A+WGn7nu78a1Ce8vix45iRuTv
 xSEeN7jVzqmVP4TxwQ2+Ssog3gCNP4oHVNU2y8Lz/IwpPmrxbdWpm0SdLBkfl+a+MbRL
 Kz8Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=XTLT/2PcgWZOxAdj7r8gNuCzOUM3okXc6/Beuj+EDLo=;
 b=VVG7lwHcXZjlmzRiR+dYv8WFWshbgLG+nZUgHexDyxpQ0yqqmWraIM1y9GSH+OpilY
 Oumd0jTe9ZC1XA+nTt1mL8Top2Et5oiCyWjrHdU21tc3c/PkG4lmYGHAUsFQcsph+wAr
 KZEz1fo641EtOUtMQVJ3CksUqbB6Tbjm84VF0riPjCNX//5cusIQi+UaLe8/c5TcCSzs
 ClXLPPIKZ+TtPBR7/4tod7AwomsY+7MZpa7srYeOkq9PgXJYJHAsCfauC1gy3HlW677Z
 7yHVkcWGXX7zsJFNmXlR+lf1eTC3vgorIdZaefQUnZwx8lvGCv8D4/PtihuhnJl7u2MC
 BLxA==
X-Gm-Message-State: AOAM532RlA9e0wvbKKGWk6845+WyoRSPMq5vPQgeHuZ/msEbgHJjMcJj
 aXjcSDDQcPeoo16wkrL2ockPaA3TBB8jmjbBUhY=
X-Google-Smtp-Source: ABdhPJxjIU7xYm+CFo/Q2Xe+alOUNXJcuoH+01tK9+hyC1xVjI5rpR308EKXRINkWvKw0SK8VToWulcxZ6XIg4HGyyI=
X-Received: by 2002:a25:9c07:: with SMTP id c7mr19425427ybo.21.1610299915170; 
 Sun, 10 Jan 2021 09:31:55 -0800 (PST)
MIME-Version: 1.0
References: <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
 <CAHyO48yZWuGQofJKrY6P4gY+KGiSpbh8aEWGcMDCE1h370Wgjg@HIDDEN>
 <01d09a7b-09b0-9221-5bf3-8454f94704f7@HIDDEN>
 <CAHyO48yXNMon_Wos+W5zZR-eD=5yYsxivA2=3Lurr2Z6edkyyQ@HIDDEN>
 <CAHyO48wkfn=-9_FAW_MO=GebtnhtPDH=u2V+FJb0_NGwZQfrSw@HIDDEN>
 <83k0smgeq8.fsf@HIDDEN>
 <CAHyO48zBAA6b7h5iVV+zFxo-EzyQ3wLGmGn4AfpdTZPJMh7kJQ@HIDDEN>
 <df22fe98-a96a-8a2a-7e7e-a01ab1431ad7@HIDDEN>
In-Reply-To: <df22fe98-a96a-8a2a-7e7e-a01ab1431ad7@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Sun, 10 Jan 2021 11:31:44 -0600
Message-ID: <CAHyO48xFAhE5u_JP3HcvdN=_qK+ZU9DeLhcR7-DMjCUH_u2UdA@HIDDEN>
Subject: Re: bug#45748: 28.0.50; fit-frame-to-buffer ignores leading spaces
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45748
Cc: Eli Zaretskii <eliz@HIDDEN>, 45748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun, Jan 10, 2021 at 10:05 AM martin rudalics <rudalics@HIDDEN> wrote:
>
>  > Let me know how this looks and if you want me to make any tweaks.
>
>           dec_both (&end, &bpos);
>           c = FETCH_BYTE (bpos);
>           if (!(c == ' ' || c == '\t' || c == '\n' || c == '\r'))
>
> Sorry but on that last line I have
>
>           if (!(c == ' ' || c == '\t'))
>
> or am I confused?

Not sure I follow, does the patch not apply?



Here is what I have after my patch for the handling of the TO == t:

      end = ZV;
      bpos = ZV_BYTE;
      while (bpos > BEGV_BYTE)
{
  dec_both (&end, &bpos);
  c = FETCH_BYTE (bpos);
  if (!(c == ' ' || c == '\t' || c == '\n' || c == '\r'))
            {
      inc_both (&end, &bpos);
      break;
            }
}
      while (bpos < ZV_BYTE)
{
  c = fetch_char_advance (&end, &bpos);
  if (!(c == ' ' || c == '\t'))
    break;
}

and before:

      end = ZV;
      bpos = ZV_BYTE;
      while (bpos > BEGV_BYTE)
{
  dec_both (&end, &bpos);
  c = FETCH_BYTE (bpos);
  if (!(c == ' ' || c == '\t' || c == '\n' || c == '\r'))
    break;
}
      while (bpos < ZV_BYTE)
{
  c = fetch_char_advance (&end, &bpos);
  if (!(c == ' ' || c == '\t'))
    break;
}

The difference is the inc_both before the break in the *first* loop,
not the second.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45748; Package emacs. Full text available.

Message received at 45748 <at> debbugs.gnu.org:


Received: (at 45748) by debbugs.gnu.org; 10 Jan 2021 16:05:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 10 11:05:28 2021
Received: from localhost ([127.0.0.1]:54747 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kydDc-0004KB-FI
	for submit <at> debbugs.gnu.org; Sun, 10 Jan 2021 11:05:28 -0500
Received: from mout.gmx.net ([212.227.15.15]:33117)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1kydDa-0004Jq-G3
 for 45748 <at> debbugs.gnu.org; Sun, 10 Jan 2021 11:05:27 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1610294719;
 bh=gJJUufHKHBhotn70yyaDhb0coI3nUSq0AUWjGx6p94s=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=EEdvTWS/cyp5OUm1of1rPVMBkwZpN5lmLgtV92bEY2imQXf6tnOxHmQxDQ3nGmkV6
 qooOKzoGgnhNNSOAC5oMLJ1d6APNPSRyQXPHZC90KN3gdwSMbLjjdBOo6c/H9ieyC2
 HiiSVkZhu3+q/TCQFT0kzee6IKwtzzDwXXo+4utg=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.93]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MtwUw-1k6wfD1r8G-00uJYT; Sun, 10
 Jan 2021 17:05:19 +0100
Subject: Re: bug#45748: 28.0.50; fit-frame-to-buffer ignores leading spaces
To: Aaron Jensen <aaronjensen@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
 <CAHyO48yZWuGQofJKrY6P4gY+KGiSpbh8aEWGcMDCE1h370Wgjg@HIDDEN>
 <01d09a7b-09b0-9221-5bf3-8454f94704f7@HIDDEN>
 <CAHyO48yXNMon_Wos+W5zZR-eD=5yYsxivA2=3Lurr2Z6edkyyQ@HIDDEN>
 <CAHyO48wkfn=-9_FAW_MO=GebtnhtPDH=u2V+FJb0_NGwZQfrSw@HIDDEN>
 <83k0smgeq8.fsf@HIDDEN>
 <CAHyO48zBAA6b7h5iVV+zFxo-EzyQ3wLGmGn4AfpdTZPJMh7kJQ@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <df22fe98-a96a-8a2a-7e7e-a01ab1431ad7@HIDDEN>
Date: Sun, 10 Jan 2021 17:05:17 +0100
MIME-Version: 1.0
In-Reply-To: <CAHyO48zBAA6b7h5iVV+zFxo-EzyQ3wLGmGn4AfpdTZPJMh7kJQ@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:2/pAUu9FZK3YgEN8GR2D13t9MWF4NSlM7y0Zg8G+braPxCOr9pp
 FrAvNNe52AofpBQiF8qRol20sqLUkXzlAVzTu0pxI9p6iSm+riP5MZOOHxZ4XC/C1v/xUhK
 ljBIzlcEaRTsmRuVKHAKFTo2Qd2w8Nk4cjrhvFdiYF6NP5CRrY0oBK9wkkYgZDf6oIKHgwM
 xrbX+0gMj5kcs/VkgFJIA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:iHnkt6utges=:movjfRBqTs7/OiM75L4VBH
 9NyTCw52XQXRI2KM/ikhWpgnFwhdP9VTT+Kp64fcxDLqYp0Cy6bmmITTFUfIrzcXaEzqkowYS
 bgj1dpg++D8R+g6K2pWFcFrh1L1rZnv++qfNAOtQ7HBN0ppzYs3uKaXJBBe78WcuAxCgSsH4/
 6KCN6Gbbl8hetqe2gdbumd3Al8MRe+5zQtarTuVj3pg4GwF2HblXHnQhuFbdpCM2dKWCJUffY
 2U+6L3VmMxeWyvCOML3a+VOPCPkIeA6eFCsd99dZJWwnCCM6xZiXP83f702zWuT7BDvMJANxx
 KodMY3Kiwy4rFgYJrTSkwVHWQbwLvHl9ahzpIU+MS5DBQ+FUKPdsnrZj0wvslJLtda/I9raBx
 lYzUd/EYugfZ2q9bl74z4Wxah4jcTjn29EiyiITRQLNYUzM9Jg6VAJ6IfnNHdw5XA8tDCM27U
 LMesdkvR3aaO+AzQKA9wE7W/NqPdmJ+gattcj44aKutsAmWoM1zJhgLY7aPbfp49Hxd9zmkBg
 LHrJwMONbChNG/s7Fg2rNqHXSYmYMfErX4CzuSSlHEHyvSgs5SGSQh/bfn83GPJf/S+wJcNoa
 a1F4nIFhe6jFnBBZwE3e5OL2hTw5hzEUAaU9bi14qd9Ff7kswPjsxhV/Fco3W53auk3Xk+B6L
 N7+ZxTWU4APXltugMjq7qHzA6nLDlmDPOiRWQ5doYP8n7vjUzcEJ0bF65NTuujLdimUIRxF6G
 gdC2f/AT8+pBdt/jtZGNj1K1QelYEF6hwduv0tnOR7j/ZXSDL7sMRN5iBUtCj3/G/1NT+CJMS
 k+Qq4J9e1jdtLv0ABXLPKAhwTXkPrqWsDrMgdiYok5iWI5tiavLfOC7lmXHcEUt0PIi7NAvoJ
 Xu1L9asuwdTHfk0bIEOKId7AFw707ciWOZhvDK5sk=
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > Let me know how this looks and if you want me to make any
 tweaks. dec_both (&end, &bpos); c = FETCH_BYTE (bpos); if (!(c == ' ' ||
 c == '\t' || c == '\n' || c == '\r')) Sorry but on that last line I have 
 Content analysis details:   (2.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [212.95.5.93 listed in zen.spamhaus.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (rudalics[at]gmx.at)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.15.15 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [212.227.15.15 listed in wl.mailspike.net]
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 45748
Cc: 45748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > Let me know how this looks and if you want me to make any
    tweaks. dec_both (&end, &bpos); c = FETCH_BYTE (bpos); if (!(c == ' ' ||
   c == '\t' || c == '\n' || c == '\r')) Sorry but on that last line I have 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [212.95.5.93 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.15.15 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
                             [212.227.15.15 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

 > Let me know how this looks and if you want me to make any tweaks.

  	  dec_both (&end, &bpos);
  	  c = FETCH_BYTE (bpos);
  	  if (!(c == ' ' || c == '\t' || c == '\n' || c == '\r'))

Sorry but on that last line I have

	  if (!(c == ' ' || c == '\t'))

or am I confused?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45748; Package emacs. Full text available.

Message received at 45748 <at> debbugs.gnu.org:


Received: (at 45748) by debbugs.gnu.org; 10 Jan 2021 02:56:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 09 21:56:53 2021
Received: from localhost ([127.0.0.1]:52941 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyQuS-0008QJ-To
	for submit <at> debbugs.gnu.org; Sat, 09 Jan 2021 21:56:53 -0500
Received: from mail-yb1-f182.google.com ([209.85.219.182]:45246)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1kyQuR-0008Q5-Rr
 for 45748 <at> debbugs.gnu.org; Sat, 09 Jan 2021 21:56:52 -0500
Received: by mail-yb1-f182.google.com with SMTP id k78so13417494ybf.12
 for <45748 <at> debbugs.gnu.org>; Sat, 09 Jan 2021 18:56:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=/DyS8CPk6LgCtsUaxTxuZt7x3v4LWM0feo9N7dD/YWM=;
 b=VetM3y1YplqDK8jucNEsyIcFx7A7ENX8SkM5f44Tgc8BkLbMA1D1Px/lS6W7h5K6+w
 w/ttCfQYIwprBjTK2Sem+4UiYzadwexVzQjt8x+Eg4j9yLHgzcjad0MKbw3UEvf0lZks
 4n2waF+JtoUYjy4cJOAbvApuu8lG/fsApyx4w4U8Rz8/86it3/CXW2toTXbL4WpPSRlY
 0WLPueUYIUVGlg/3u5Op7flNqOqBY7+b8ucKbKoTbCB99Co9TEXUKH4TBF22GdnaUiT0
 Uy4OsIbC95Qi8/GkdmTZN/6GYNadw58rRkJYjGLcdBjsj218qcA0Wi57kcwfW7WESfXO
 S4sw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=/DyS8CPk6LgCtsUaxTxuZt7x3v4LWM0feo9N7dD/YWM=;
 b=WSMHAnwtKTzMUKH7uIIOXcJR/qV/Rp9BpSKK2/T6+rBnbK/dI4xYXtIKwU+TKGwQno
 rTAybruJ+VXTq35GqIeIVU+gFUGNfYQH8wq4kJIJpEDOkAsVDutnZhd8VpKvFmY1Vgag
 mX23LTjgHg2ca6kZRLEzVjvd7Pz96KZB6hEFfpEd6oFXjowHVWL6ar0BEwpodP9VS0vP
 V2LAHauIcZXIC8lHHjYxlZY5cFPKIYVBlJQ53MqwAwNs0YHTWiiuNqOydzYhPEum9eAn
 VpEStJ0QFEW+bHcr6FV81APqYxUbSnhqTYS63H+O/lmlKegJ7ESOpn03ynKF1yrWBlv9
 rWoA==
X-Gm-Message-State: AOAM532icfBj1w20xtkxua/oXNPQjka0YFO4qanhNF91Yh7PmH/ZjtUT
 gvpGV3tTVW9ERabmzhVfk+7Clif8HWZ/Pnmst+k=
X-Google-Smtp-Source: ABdhPJw58nPf8iRG9FRcmCu9f3gnad/5eHSikG7zp/3NFJlnsQa6VwIonp1mDH9RPe1U7lCmVqFGKWP+i7fYndcKjxc=
X-Received: by 2002:a25:aaee:: with SMTP id
 t101mr14934749ybi.517.1610247406132; 
 Sat, 09 Jan 2021 18:56:46 -0800 (PST)
MIME-Version: 1.0
References: <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
 <CAHyO48yZWuGQofJKrY6P4gY+KGiSpbh8aEWGcMDCE1h370Wgjg@HIDDEN>
 <01d09a7b-09b0-9221-5bf3-8454f94704f7@HIDDEN>
 <CAHyO48yXNMon_Wos+W5zZR-eD=5yYsxivA2=3Lurr2Z6edkyyQ@HIDDEN>
 <CAHyO48wkfn=-9_FAW_MO=GebtnhtPDH=u2V+FJb0_NGwZQfrSw@HIDDEN>
 <83k0smgeq8.fsf@HIDDEN>
In-Reply-To: <83k0smgeq8.fsf@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Sat, 9 Jan 2021 20:56:35 -0600
Message-ID: <CAHyO48zBAA6b7h5iVV+zFxo-EzyQ3wLGmGn4AfpdTZPJMh7kJQ@HIDDEN>
Subject: Re: bug#45748: 28.0.50; fit-frame-to-buffer ignores leading spaces
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/mixed; boundary="000000000000a4ce5b05b882f083"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45748
Cc: martin rudalics <rudalics@HIDDEN>, 45748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000a4ce5b05b882f083
Content-Type: text/plain; charset="UTF-8"

On Sat, Jan 9, 2021 at 12:14 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> Yes, probably.
>
> But before we do any changes here, we need a test suite.  Would you
> mind adding the necessary tests to test/src/xdisp-tests.el?

Okay, I added a few basic tests for this case. I don't know if that's
the best way to test it, but it's what I could figure out.

The implementation bypasses the extra backtrack for the FROM, but the
algorithm for the TO is the same as I first submitted. In that case,
it's not really an extra backtrack since I have to dec to read the
byte. If I had access to dec_bytepos declared in syntax.c, I think I
could use that to avoid the extra backtrack (I'd fetch the dec_bytepos
(bpos)) and test that and then only move the pointers if not breaking
from the loop.

I left the fetch_char_advance in the TO algorithm since it didn't seem
necessary to replace it with separate fetch/inc_both.

This could be done w/o the backtracking entirely by keeping two
pointers, but that's more complicated, probably not much more
efficient (if at all) and this will likely never be called in a tight
loop.

Let me know how this looks and if you want me to make any tweaks.

--000000000000a4ce5b05b882f083
Content-Type: application/octet-stream; 
	name="0001-Fix-window-text-pixel-size-with-leading-trailing-spa.patch"
Content-Disposition: attachment; 
	filename="0001-Fix-window-text-pixel-size-with-leading-trailing-spa.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_kjqjkk1x0>
X-Attachment-Id: f_kjqjkk1x0
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--000000000000a4ce5b05b882f083--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45748; Package emacs. Full text available.

Message received at 45748 <at> debbugs.gnu.org:


Received: (at 45748) by debbugs.gnu.org; 9 Jan 2021 18:14:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 09 13:14:12 2021
Received: from localhost ([127.0.0.1]:52597 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyIkd-0004HZ-Tr
	for submit <at> debbugs.gnu.org; Sat, 09 Jan 2021 13:14:12 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56922)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kyIkb-0004HL-0j
 for 45748 <at> debbugs.gnu.org; Sat, 09 Jan 2021 13:14:10 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35065)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kyIkV-00038v-Hq; Sat, 09 Jan 2021 13:14:03 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2271
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kyIkU-0007qu-RJ; Sat, 09 Jan 2021 13:14:03 -0500
Date: Sat, 09 Jan 2021 20:14:07 +0200
Message-Id: <83k0smgeq8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Aaron Jensen <aaronjensen@HIDDEN>
In-Reply-To: <CAHyO48wkfn=-9_FAW_MO=GebtnhtPDH=u2V+FJb0_NGwZQfrSw@HIDDEN>
 (message from Aaron Jensen on Sat, 9 Jan 2021 11:55:06 -0600)
Subject: Re: bug#45748: 28.0.50; fit-frame-to-buffer ignores leading spaces
References: <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
 <CAHyO48yZWuGQofJKrY6P4gY+KGiSpbh8aEWGcMDCE1h370Wgjg@HIDDEN>
 <01d09a7b-09b0-9221-5bf3-8454f94704f7@HIDDEN>
 <CAHyO48yXNMon_Wos+W5zZR-eD=5yYsxivA2=3Lurr2Z6edkyyQ@HIDDEN>
 <CAHyO48wkfn=-9_FAW_MO=GebtnhtPDH=u2V+FJb0_NGwZQfrSw@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45748
Cc: rudalics@HIDDEN, 45748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Aaron Jensen <aaronjensen@HIDDEN>
> Date: Sat, 9 Jan 2021 11:55:06 -0600
> Cc: 45748 <at> debbugs.gnu.org
> 
> It might actually be easier to read and understand if it was written
> without fetch_char_advance and just used inc_both, dec_both and
> FETCH_BYTE.

Yes, probably.

But before we do any changes here, we need a test suite.  Would you
mind adding the necessary tests to test/src/xdisp-tests.el?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45748; Package emacs. Full text available.

Message received at 45748 <at> debbugs.gnu.org:


Received: (at 45748) by debbugs.gnu.org; 9 Jan 2021 18:03:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 09 13:03:15 2021
Received: from localhost ([127.0.0.1]:52593 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyIa2-000420-RW
	for submit <at> debbugs.gnu.org; Sat, 09 Jan 2021 13:03:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kyIa0-00041o-TA
 for 45748 <at> debbugs.gnu.org; Sat, 09 Jan 2021 13:03:13 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34852)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kyIZv-0007hk-Jx; Sat, 09 Jan 2021 13:03:07 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1551
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kyIZu-0000AB-Be; Sat, 09 Jan 2021 13:03:07 -0500
Date: Sat, 09 Jan 2021 20:03:10 +0200
Message-Id: <83mtxigf8h.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Aaron Jensen <aaronjensen@HIDDEN>
In-Reply-To: <CAHyO48yXNMon_Wos+W5zZR-eD=5yYsxivA2=3Lurr2Z6edkyyQ@HIDDEN>
 (message from Aaron Jensen on Sat, 9 Jan 2021 11:44:46 -0600)
Subject: Re: bug#45748: 28.0.50; fit-frame-to-buffer ignores leading spaces
References: <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
 <CAHyO48yZWuGQofJKrY6P4gY+KGiSpbh8aEWGcMDCE1h370Wgjg@HIDDEN>
 <01d09a7b-09b0-9221-5bf3-8454f94704f7@HIDDEN>
 <CAHyO48yXNMon_Wos+W5zZR-eD=5yYsxivA2=3Lurr2Z6edkyyQ@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45748
Cc: rudalics@HIDDEN, 45748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Aaron Jensen <aaronjensen@HIDDEN>
> Date: Sat, 9 Jan 2021 11:44:46 -0600
> Cc: 45748 <at> debbugs.gnu.org
> 
> diff --git a/src/xdisp.c b/src/xdisp.c
> index 6a4304d194..20e7ca3a1e 100644
> --- a/src/xdisp.c
> +++ b/src/xdisp.c
> @@ -10652,7 +10652,10 @@ DEFUN ("window-text-pixel-size",
> Fwindow_text_pixel_size, Swindow_text_pixel_siz
>   {
>     c = fetch_char_advance (&start, &bpos);
>     if (!(c == ' ' || c == '\t' || c == '\n' || c == '\r'))
> -     break;
> +            {
> +              dec_both (&start, &bpos);
> +       break;
> +            }
>   }

This increments position, then decrements it, which is sub-optimal.

>   {
>     dec_both (&end, &bpos);
>     c = FETCH_BYTE (bpos);
>     if (!(c == ' ' || c == '\t' || c == '\n' || c == '\r'))
> -     break;
> +            {
> +              inc_both (&end, &bpos);
> +       break;
> +            }
>   }

Same here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45748; Package emacs. Full text available.

Message received at 45748 <at> debbugs.gnu.org:


Received: (at 45748) by debbugs.gnu.org; 9 Jan 2021 17:55:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 09 12:55:24 2021
Received: from localhost ([127.0.0.1]:52584 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyISS-0003nP-OY
	for submit <at> debbugs.gnu.org; Sat, 09 Jan 2021 12:55:24 -0500
Received: from mail-yb1-f174.google.com ([209.85.219.174]:44718)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1kyISR-0003nD-0r
 for 45748 <at> debbugs.gnu.org; Sat, 09 Jan 2021 12:55:23 -0500
Received: by mail-yb1-f174.google.com with SMTP id f13so2026128ybk.11
 for <45748 <at> debbugs.gnu.org>; Sat, 09 Jan 2021 09:55:22 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=B2sEQ8WQjU+uJ6PDNiWy9aJLQPaGskU160B1D2BJcLU=;
 b=I1VOz4CkjX0/4EEa0nfrjubyNJ7KogADsEACsgxV1VJ1orv05eHl8McrLhlse6AS0T
 CpUWvB/NMxrLBnApxHgSPg7SAt+lXnsV6OQlzuuHTpI84TG2LqfWrdea/fkPotEP3hHu
 qf2YoPcp9/PrLuzyKtm7R2I1afOhdXd0+ncq9ud8lPGiiQQqPzTrBUCutVUGMt4bKqBj
 6xbgwYI0kf82quOrbz7OmEGHkTi2hcvGz9YULUp6uroxCkLRDBf5O4SSPigMqYWzqN6o
 hYPEWGGL+fdUe8gsl+zyYHAt5B0ctHdnvacfmZeltrUNvwwbXozGZAeQIN2ptPgxOi14
 PSNQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=B2sEQ8WQjU+uJ6PDNiWy9aJLQPaGskU160B1D2BJcLU=;
 b=Vbd8ChZrzrUSeOL5tApEQu/nsUfVpiURlJSdw9SQ7H+tCyb3nlNj0tHw34Qt+oGJjr
 v7sWprkt82NdB4TPgJcTr9U3/ap0+XSBqJmMo3wQjpR3Y4xE4jhzyPpSucamdQxgIDZd
 yiaBowWGJi5IcIgyE3rhhTprv7gi9cEbmfrjPBqeidzpZJfZEnZQLz11VaMd58jxtgqh
 wd0YPPhvP/GNruKQak/v5yUQetMCZk/hs0Pqi6m71spfuJAPS3lU8mxuAYjwwf5Ucaqd
 YF7+XLQfSCqani0TQdQpR/iJmGmZy+pM/QRLPpVJm3u1XhraVDaTJLQkRXMMgQt0d+79
 tlJA==
X-Gm-Message-State: AOAM533d7BQPBzcixLGRV3r3INqx7DXC9n+xSVlL4mR79d+jhK883wp1
 RrmyPJV46hqe/RujE4JuBPy1zMic+r97NkA6jMQ=
X-Google-Smtp-Source: ABdhPJwpmtzx3dauZ32F7BbxBPr//IL1D1CDktLhkXJCV2M5A8Yz+/Niycjino3IAIbR5CG45xKkzgbcKnAFp7XG2Ao=
X-Received: by 2002:a25:3b97:: with SMTP id
 i145mr13482705yba.171.1610214917525; 
 Sat, 09 Jan 2021 09:55:17 -0800 (PST)
MIME-Version: 1.0
References: <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
 <CAHyO48yZWuGQofJKrY6P4gY+KGiSpbh8aEWGcMDCE1h370Wgjg@HIDDEN>
 <01d09a7b-09b0-9221-5bf3-8454f94704f7@HIDDEN>
 <CAHyO48yXNMon_Wos+W5zZR-eD=5yYsxivA2=3Lurr2Z6edkyyQ@HIDDEN>
In-Reply-To: <CAHyO48yXNMon_Wos+W5zZR-eD=5yYsxivA2=3Lurr2Z6edkyyQ@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Sat, 9 Jan 2021 11:55:06 -0600
Message-ID: <CAHyO48wkfn=-9_FAW_MO=GebtnhtPDH=u2V+FJb0_NGwZQfrSw@HIDDEN>
Subject: Re: bug#45748: 28.0.50; fit-frame-to-buffer ignores leading spaces
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45748
Cc: 45748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, Jan 9, 2021 at 11:44 AM Aaron Jensen <aaronjensen@HIDDEN> wrote:
>
> diff --git a/src/xdisp.c b/src/xdisp.c
> index 6a4304d194..20e7ca3a1e 100644
> --- a/src/xdisp.c
> +++ b/src/xdisp.c
> @@ -10652,7 +10652,10 @@ DEFUN ("window-text-pixel-size",
> Fwindow_text_pixel_size, Swindow_text_pixel_siz
>   {

It might actually be easier to read and understand if it was written
without fetch_char_advance and just used inc_both, dec_both and
FETCH_BYTE. I don't know if fetch_char_advance is doing something that
that combination wouldn't do, however, so I can't say if that'd be
safe or not.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45748; Package emacs. Full text available.

Message received at 45748 <at> debbugs.gnu.org:


Received: (at 45748) by debbugs.gnu.org; 9 Jan 2021 17:49:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 09 12:49:54 2021
Received: from localhost ([127.0.0.1]:52576 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyIN8-0003ev-Do
	for submit <at> debbugs.gnu.org; Sat, 09 Jan 2021 12:49:54 -0500
Received: from mail-yb1-f177.google.com ([209.85.219.177]:42638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1kyIN4-0003ef-HA
 for 45748 <at> debbugs.gnu.org; Sat, 09 Jan 2021 12:49:52 -0500
Received: by mail-yb1-f177.google.com with SMTP id j17so12653474ybt.9
 for <45748 <at> debbugs.gnu.org>; Sat, 09 Jan 2021 09:49:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=6Bfmss+oub3M7r0Was5BVAIg2DwzqJYwijNp3PwUKVA=;
 b=gIfK8AYs9c/drUzhG8pkL5vbK9Hcmast+nGKdAGMndqpSKMohgcG6/aH/1ptSjG52C
 Mtpzo87tqSrOKpOnjeHtKDjr1DDk9jrDt+TJdu0NONOFk9dIWj3q5OvzRPvFofze/5iK
 Egr7rcKWoRo+z56+KYV+O6NNxm7NJb3xEcFutX2FF/mhyt9rmFgU5FUiDzLytwi4LOsv
 gpUPHUzer4da2AxQzggZ8Gmn5zjPOuLbrYNTaOoOnnoSFiA2uY698QgAR2AIsFItmn9R
 +6dooPjCa1mbGO9DWYgtUOGaZI8DfBG0dDMvCZvzxsIiWW7iDaBr5fXg8qjKgUf7aBcs
 qlNg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=6Bfmss+oub3M7r0Was5BVAIg2DwzqJYwijNp3PwUKVA=;
 b=LQo+g28PAqkqIr+waSpiolgReHbOks8jYZEsOE1bstvHhg4XoT4Ftb//Jx3vP9jaFy
 8k64A+4GqWn7ClSvnFQirVcM5CJbqXC6845pF2XVlnuO2U8MRsFyukU/H1OOtBBM16CG
 sruzFqHMbo3zPdeE9pgV0LFy2VS2UuFd3ZaTP+oYeN/a6gX0/EZ5tzr0L0oK0iTeRstS
 sG3lJviZflUOpjM62KeevvRBfae2zobn1vx7+Ww6HGJtyJ7r0KWZNhtWVTbMEknQUdLl
 9gR4xqoa7NSwyApuJ61domUPhuxw86kdFyyT86+yhVaEdNNpcSsZzA83XlT1DIrrpnuO
 DwEw==
X-Gm-Message-State: AOAM533M9dbhJZW4ZUtCPVPsSS5evcTk5CAYtkd079zKz5vzsqQI6Cwz
 0/gTU4dOYbaIpNuxzNgEJMxH38+PbGByX56oXOBxcFZ3GCtZAg==
X-Google-Smtp-Source: ABdhPJz7Vk5ZJ/msfLfHCsZSSqy2wXFQduGIYhkv8pEskOMlkiHAsrNNVNhhaqKNNuTvobsAULRn+THTnh4BPEMrefU=
X-Received: by 2002:a25:324f:: with SMTP id y76mr14061028yby.203.1610214585100; 
 Sat, 09 Jan 2021 09:49:45 -0800 (PST)
MIME-Version: 1.0
References: <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
 <CAHyO48yZWuGQofJKrY6P4gY+KGiSpbh8aEWGcMDCE1h370Wgjg@HIDDEN>
 <83r1mugg3w.fsf@HIDDEN>
In-Reply-To: <83r1mugg3w.fsf@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Sat, 9 Jan 2021 11:49:34 -0600
Message-ID: <CAHyO48yuiO-EM1=dXJHpcobT5a6yjrXpoSKBtx0_8mFRk+NfDg@HIDDEN>
Subject: Re: bug#45748: 28.0.50; fit-frame-to-buffer ignores leading spaces
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45748
Cc: 45748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, Jan 9, 2021 at 11:44 AM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> You mean with
>
>   (window-text-pixel-size t t)
>
> right?

Yes, sorry bad copy/paste.

> ??? fit-frame-to-buffer always calls fit-frame-to-buffer-1, sow hat do
> you mean by "unless"?

I mean unless you call fit-frame-to-buffer-1 passing nil for from and
to, which I believe is the most likely desired behavior for something
like posframe, but I'm not the maintainer of that so I couldn't say
for certain.


> > The second loop looks like it's attempting to backtrack to the
> > beginning of the line, but FETCH_BYTE (bpos) after a dec_both returns
> > the same character that the first loop ended on.
>
> No, it doesn't, it returns the byte at bpos after decrementing bpos.
> So it's the character before that.

Maybe we're just getting hung up on my wording. After
fetch_char_advance, bpos points to the byte of the character after
what was returned from fetch_char_advance. If you then dec_both and
FETCH_BYTE, you will get the same character returned from the last
time fetch_char_advance was called, which was likely not the intent.

> > In other words, start and bpos are not in sync
>
> ??? FETCH_BYTE doesn't change bpos, so if it was in sync with start
> before FETCH_BYTE, it is still in sync after it.  So I don't think I
> understand what you mean here.
>
> Can you elaborate on your findings, please?

Yeah, I was mistaken on that point. They stay in sync. They both
needed to backtrack an extra time. See my patch in the email I sent
right before this one.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45748; Package emacs. Full text available.

Message received at 45748 <at> debbugs.gnu.org:


Received: (at 45748) by debbugs.gnu.org; 9 Jan 2021 17:45:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 09 12:45:04 2021
Received: from localhost ([127.0.0.1]:52568 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyIIS-0003Wt-Iu
	for submit <at> debbugs.gnu.org; Sat, 09 Jan 2021 12:45:04 -0500
Received: from mail-yb1-f178.google.com ([209.85.219.178]:35426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1kyIIQ-0003W1-U7
 for 45748 <at> debbugs.gnu.org; Sat, 09 Jan 2021 12:45:03 -0500
Received: by mail-yb1-f178.google.com with SMTP id u203so12681962ybb.2
 for <45748 <at> debbugs.gnu.org>; Sat, 09 Jan 2021 09:45:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=0vXHhAhr4s7UtZWA6UFb73WW0ddAo3BDwlGGwDhIiw0=;
 b=RZTSop9tadXNlnjglBK65sjvfE8yMRJFZtKS+5z+aGAcFDPAgzq/7/nZPTjZdB6sUO
 jWSxpgLq7EICV3aBBhvO4hVX85ve4V7lcQiJX6aorHNhQUx7bpiKYFYAqvS/IqNXRm6X
 YA45GbZ//dX/YpGmzOeGajXmmL+QP4CGnuTs79QSqtwy0pPCbl8q5Erh0rarMCXQD9Tc
 OZ46PdJPiADI+ZE2LCOtfRxrGmcePkxzSG9vIwlc8HiaiHZKP6AzzIPFZ0gPz+LdHDOP
 Tpf/qEnbv5qMvXF8lzFz0YCKizWpGC2GabNLS6pBZenPvGADu6hwkgdJK8/CLFEaiP4l
 vnjA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=0vXHhAhr4s7UtZWA6UFb73WW0ddAo3BDwlGGwDhIiw0=;
 b=YOgEWZhlZzQscbCiaF7Ne0hdCnZNCg84s5PdNEjKr9Guf3anqYk1GILE+8GlIlUICG
 96qIZ0y333lnoVlc/RrJdf8AuYKqlALXuwAQIF11a5czuzKPsQyu/Yc+n35QV3opU9UU
 2cpgh2DHGyeMvIZfy5V1ipLYzfXk07G/oG2KcrSgNTbAVLFHp45C+8XFILVfkWSbuhkI
 neHRtTdaqQk+ZSER03N3PaJrw20cc7cvPcyKXJw8Yi6ySBpI+ApbpsXybeT9CyQ4HRUr
 JXa30bD0dr28wd1bWgVos4bsUWsClz3N6niIlyZ+6vDxN5nDD52YuY3kxLfPT9hzXdmD
 sXgQ==
X-Gm-Message-State: AOAM532FDqgWj9RrO9VbKTwS2Ss2zqnGLNhaFKgU0Vx+COooahVp6zzz
 6xPGeQu6pRg2sGLyVLT7gU7nARo8k6u3DOapErg=
X-Google-Smtp-Source: ABdhPJw6nK4YdhZ9PgGUhN/qh6npomA47LY4yyE7iM/az6+AEB0C80GNAzCRch1Ixm45ojPSB91iWpBdNI5DwpbOIc4=
X-Received: by 2002:a25:497:: with SMTP id 145mr12954886ybe.275.1610214297109; 
 Sat, 09 Jan 2021 09:44:57 -0800 (PST)
MIME-Version: 1.0
References: <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
 <CAHyO48yZWuGQofJKrY6P4gY+KGiSpbh8aEWGcMDCE1h370Wgjg@HIDDEN>
 <01d09a7b-09b0-9221-5bf3-8454f94704f7@HIDDEN>
In-Reply-To: <01d09a7b-09b0-9221-5bf3-8454f94704f7@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Sat, 9 Jan 2021 11:44:46 -0600
Message-ID: <CAHyO48yXNMon_Wos+W5zZR-eD=5yYsxivA2=3Lurr2Z6edkyyQ@HIDDEN>
Subject: Re: bug#45748: 28.0.50; fit-frame-to-buffer ignores leading spaces
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45748
Cc: 45748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, Jan 9, 2021 at 11:07 AM martin rudalics <rudalics@HIDDEN> wrote:
> Do you mean the first dec_both skips too much or not enough?  That code
> was broken when I wrote it initially, someone fixed the char/byte issue
> later and now I'm too silly to understand it.

It doesn't skip enough. I believe this fixes both the leading and
trailing space problems:

diff --git a/src/xdisp.c b/src/xdisp.c
index 6a4304d194..20e7ca3a1e 100644
--- a/src/xdisp.c
+++ b/src/xdisp.c
@@ -10652,7 +10652,10 @@ DEFUN ("window-text-pixel-size",
Fwindow_text_pixel_size, Swindow_text_pixel_siz
  {
    c = fetch_char_advance (&start, &bpos);
    if (!(c == ' ' || c == '\t' || c == '\n' || c == '\r'))
-     break;
+            {
+              dec_both (&start, &bpos);
+       break;
+            }
  }
       while (bpos > BEGV_BYTE)
  {
@@ -10680,12 +10683,17 @@ DEFUN ("window-text-pixel-size",
Fwindow_text_pixel_size, Swindow_text_pixel_siz
  {
    dec_both (&end, &bpos);
    c = FETCH_BYTE (bpos);
    if (!(c == ' ' || c == '\t' || c == '\n' || c == '\r'))
-     break;
+            {
+              inc_both (&end, &bpos);
+       break;
+            }
  }
       while (bpos < ZV_BYTE)
  {
    c = fetch_char_advance (&end, &bpos);
    if (!(c == ' ' || c == '\t'))
      break;
  }

The problem is that the first loop leaves the pointer pointing to the
next character and it's only back tracked once.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45748; Package emacs. Full text available.

Message received at 45748 <at> debbugs.gnu.org:


Received: (at 45748) by debbugs.gnu.org; 9 Jan 2021 17:44:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 09 12:44:24 2021
Received: from localhost ([127.0.0.1]:52564 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyIHo-0003VJ-92
	for submit <at> debbugs.gnu.org; Sat, 09 Jan 2021 12:44:24 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51584)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kyIHl-0003V5-Gn
 for 45748 <at> debbugs.gnu.org; Sat, 09 Jan 2021 12:44:23 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34554)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kyIHg-0000Rm-9s; Sat, 09 Jan 2021 12:44:16 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4367
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kyIHf-0001Yt-0L; Sat, 09 Jan 2021 12:44:16 -0500
Date: Sat, 09 Jan 2021 19:44:19 +0200
Message-Id: <83r1mugg3w.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Aaron Jensen <aaronjensen@HIDDEN>
In-Reply-To: <CAHyO48yZWuGQofJKrY6P4gY+KGiSpbh8aEWGcMDCE1h370Wgjg@HIDDEN>
 (message from Aaron Jensen on Sat, 9 Jan 2021 10:27:12 -0600)
Subject: Re: bug#45748: 28.0.50; fit-frame-to-buffer ignores leading spaces
References: <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
 <CAHyO48yZWuGQofJKrY6P4gY+KGiSpbh8aEWGcMDCE1h370Wgjg@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45748
Cc: 45748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Aaron Jensen <aaronjensen@HIDDEN>
> Date: Sat, 9 Jan 2021 10:27:12 -0600
> 
> On Sat, Jan 9, 2021 at 9:57 AM Aaron Jensen <aaronjensen@HIDDEN> wrote:
> >
> > I believe the problem is with:
> >
> > (window-text-pixel-size nil t)

You mean with

  (window-text-pixel-size t t)

right?

> > The FROM of t causes window-text-pixel-size to ignore leading spaces.
> > A TO of t, causes it to ignore trailing spaces. fit-frame-to-buffer
> > passes both as t. This is hardcoded unless you use
> > fit-frame-to-buffer-1

??? fit-frame-to-buffer always calls fit-frame-to-buffer-1, sow hat do
you mean by "unless"?

> The problematic code appears to be here in window-text-pixel-size:
> 
> else if (EQ (from, Qt))
>   {
>     start = BEGV;
>     bpos = BEGV_BYTE;
>     while (bpos < ZV_BYTE)
>       {
> c = fetch_char_advance (&start, &bpos);
> if (!(c == ' ' || c == '\t' || c == '\n' || c == '\r'))
>   break;
>       }
>     while (bpos > BEGV_BYTE)
>       {
> dec_both (&start, &bpos);
> c = FETCH_BYTE (bpos);
> if (!(c == ' ' || c == '\t'))
>   break;
>       }
>   }
> 
> The second loop looks like it's attempting to backtrack to the
> beginning of the line, but FETCH_BYTE (bpos) after a dec_both returns
> the same character that the first loop ended on.

No, it doesn't, it returns the byte at bpos after decrementing bpos.
So it's the character before that.

> In other words, start and bpos are not in sync

??? FETCH_BYTE doesn't change bpos, so if it was in sync with start
before FETCH_BYTE, it is still in sync after it.  So I don't think I
understand what you mean here.

Can you elaborate on your findings, please?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45748; Package emacs. Full text available.

Message received at 45748 <at> debbugs.gnu.org:


Received: (at 45748) by debbugs.gnu.org; 9 Jan 2021 17:07:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 09 12:07:45 2021
Received: from localhost ([127.0.0.1]:52517 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyHiL-0002bf-1S
	for submit <at> debbugs.gnu.org; Sat, 09 Jan 2021 12:07:45 -0500
Received: from mout.gmx.net ([212.227.15.15]:39537)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1kyHiJ-0002bS-Ax
 for 45748 <at> debbugs.gnu.org; Sat, 09 Jan 2021 12:07:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1610212057;
 bh=Nj4X90cV+RLnh0g2d1ahc09yvohyV9V0ZO3IsLRgDmU=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=bRfErZ4O+HEaGwRQSRnOZQ8lzyX+PyxCBlphi0fnp+bxYJcg+56isZSCSCiHYmE6A
 EJh5E3wBVINvHvduhIMOYXn6Mn29ZNVOLCnXDbW5Ex6U4rX7YLCG3XgKqDZLuL7Tpo
 FZCTYBI4Kgh49HzPlhyR/N5u33ImXHeH/lnR0nL0=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([46.125.249.80]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MmDEg-1kG7Cq3xia-00iAnw; Sat, 09
 Jan 2021 18:07:37 +0100
Subject: Re: bug#45748: 28.0.50; fit-frame-to-buffer ignores leading spaces
To: Aaron Jensen <aaronjensen@HIDDEN>, 45748 <at> debbugs.gnu.org
References: <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
 <CAHyO48yZWuGQofJKrY6P4gY+KGiSpbh8aEWGcMDCE1h370Wgjg@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <01d09a7b-09b0-9221-5bf3-8454f94704f7@HIDDEN>
Date: Sat, 9 Jan 2021 18:07:36 +0100
MIME-Version: 1.0
In-Reply-To: <CAHyO48yZWuGQofJKrY6P4gY+KGiSpbh8aEWGcMDCE1h370Wgjg@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:FjmaM/u7PxmcC2Lapu1Hymav7m8+Bkmh17MBFdxGMt53g7Yc7/X
 /5ygD6aNWohVRofVv120HBbTJmTR6jnW8w2bcb47s2YuLX4HoHcmvCtlbHJ/MDur4H5YsN+
 jWmJvILbaqEdc16cMgMrr2KS81jh1moLp0zoJzoVbZDjhXIpudy870qzx39myYbwWdvgSk9
 k/qvNDGngEq1XH+2EEj2A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:5KHr19ety+s=:yLS3bI7RsUtCO8IC0aA7Br
 qQ3OdIyvA/RfSoBbiv3UblU0HnNnZlfrE0/7/oFkO1pz9BDlmFJjOJpk1Ff9dxkhJpNBYYGP3
 qSP/pdW/77av/nKNlqhgbQfT161a/MhtC2/piuKceAnzQNtE877hk6HELbykofIX2fNs1/p61
 92pzOJldVBScR25jb2GqSMD3UlAXjWFBnzHBrTMMHQV21XHrxj9ONh0G3Qcrb5NgqEne+rpvw
 zJFpbxhQdSHhS2rYnFcLeWxqgbUoywSFEPXOM8HHCBRdAzDHk5QFsGRzzbbut58cuVCTWaLo5
 pxxi2unhB9/b9ZvaPVHOrIadD5pJCsPA74Ig4r7L8K2ibm0iQyGncR0LqqdZsaFJcuU+MPwJD
 WxP3PXzKVzVnkE30JtEZiBpR7MBGJ/GqTuwkWJ13bFzJ9zPloKuBNbJ0keKrS9//8RVHCcyLd
 Oey8Pp2oKvIESvjXXxO9ICRI7O99Q0yh6IV24ThdQdgf0uHw6VdFbEnRkL9a2Y+gdZVh3WmL3
 J03bjm159IyUTYzkj3Q+qapKnErPY8AhCRUid4EySYcTTVVkiRyEJigyVBwC6AAmKopwbWvHv
 hn10tigOAAKrZ3a7V3+JsEFGeR1PGKyiNSvweE3AssRZeLiJ+Y196TKm48mHmchtNkJDUolJh
 b7iMSVvQuO1MADQ7WFkWpdP+W+b1zv/zUofYaTVKxT6rS6CSFEP+bPtq6DAuabSrcC63aonCI
 gNpD5qmYDxMdDiaW6OmYpriIMaafZfx4crVPRo2k5085QOq/W9oGydsQrYD+uVM+sXv662Aul
 wxQ9DqTnSY9CjR1vY2skoslATFfiYYgQUd12Z3tMUzRGaO878Bxddaf7LlId/duqKj8o9AsXJ
 d4tSPBlqdIa9QnOpnvjg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45748
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > The problematic code appears to be here in window-text-pixel-size:
 >
 > else if (EQ (from, Qt))
 >    {
 >      start = BEGV;
 >      bpos = BEGV_BYTE;
 >      while (bpos < ZV_BYTE)
 >        {
 > c = fetch_char_advance (&start, &bpos);
 > if (!(c == ' ' || c == '\t' || c == '\n' || c == '\r'))
 >    break;
 >        }
 >      while (bpos > BEGV_BYTE)
 >        {
 > dec_both (&start, &bpos);
 > c = FETCH_BYTE (bpos);
 > if (!(c == ' ' || c == '\t'))
 >    break;
 >        }
 >    }
 >
 > The second loop looks like it's attempting to backtrack to the
 > beginning of the line, but FETCH_BYTE (bpos) after a dec_both returns
 > the same character that the first loop ended on. In other words, start
 > and bpos are not in sync, or the way that FETCH_BYTE works is
 > different. If I subtract 1 from bpos when calling FETCH_BYTE, it works
 > as expected.

Do you mean the first dec_both skips too much or not enough?  That code
was broken when I wrote it initially, someone fixed the char/byte issue
later and now I'm too silly to understand it.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45748; Package emacs. Full text available.

Message received at 45748 <at> debbugs.gnu.org:


Received: (at 45748) by debbugs.gnu.org; 9 Jan 2021 17:07:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 09 12:07:18 2021
Received: from localhost ([127.0.0.1]:52514 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyHht-0002au-MQ
	for submit <at> debbugs.gnu.org; Sat, 09 Jan 2021 12:07:17 -0500
Received: from mout.gmx.net ([212.227.15.18]:55391)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1kyHhr-0002ag-PN
 for 45748 <at> debbugs.gnu.org; Sat, 09 Jan 2021 12:07:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1610212029;
 bh=2oKyIk1YT2/n/oRw7fEKo/IAoDxZuki8lp9IBIcRLvo=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=CadXyZZ85bjAZGvcwxdVgiIZosCFN7DOctmDaneW+1Ms6wGF2gw5RJEqbY483fDcW
 VSYq/lMUljyVBAHe0s/k3h9IgdXKz9pgzdH8v6RvYYzt3CAsdehr3aNqxNHCyZEMHK
 Jgz7oJVLfyXDe0t6tuBv/DNee4M/bzBEwk3wf0eg=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([46.125.249.80]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1M8hZD-1ktd082TqL-004hDy; Sat, 09
 Jan 2021 18:07:09 +0100
Subject: Re: bug#45748: 28.0.50; fit-frame-to-buffer ignores leading spaces
To: Aaron Jensen <aaronjensen@HIDDEN>, 45748 <at> debbugs.gnu.org
References: <CAHyO48xpeps_xzMTv2deJCExOHDZjj2p8oOFSYpw1c+w0gVq-g@HIDDEN>
 <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <d54bb488-b111-ac8e-4293-16fcbfaad4b7@HIDDEN>
Date: Sat, 9 Jan 2021 18:07:09 +0100
MIME-Version: 1.0
In-Reply-To: <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:i3FIDzlKz10lxPAbbw0DeOKgIEDOLfMK4DIlJQZieIqjair9NyT
 p53Nf6VvEnsxW1IdNPl2Y0ZlIx881k0aD1vNv3RiwxeOOZUeC7tpqRRZSVK1EI9L6svnet1
 ij76j7Rx/O9E5jBrGMjOw4/ZlCRgTccwhpzM8pTY4onJ0vR4fDUPO4y3nxLZinkmcxvNpbB
 sqiyFExhEDuHfgZEXWz2w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:5BhAbWMqlFA=:7BKkd9e6n5gW7L7t5+eirM
 RlFoOBHsmJYXljIURWf8bDYBGGoJ6ysup/DpiqKGU7cv7XyZS9ZdBhz7o54X1csGBBiHWoSiP
 IWqgddIu/xzDyLzMtyT14r4D+j5p+Vi0oK6AtpcTwmZ9o8Dxnnwik4tIH2smXIp8E+QI6mRtv
 GbSd8DPOsUd0oC+x69vqtokDHpDuE2VgUG8r6I2B4S7PQjOm7XkLzNwiuiMMHrWz5/BZ/cvbI
 JmD4HmbBtZAb0OuOQD6+gCj8TZk11wgnK150CIn+D5p/tlzZmOAvp1YULofK01CYWmFAQcotJ
 ayhO0X5XEIydZGVW9V8vhE7L4DswJLZs0wNfclS0bWt1YstUyKNmBH8HIvAtp9i1B0xO3EAcz
 QCF45siDXVghbMbSfa9j47aXE/bOyd+R7dAf5shhLq5WDLSokXbVklAeHkUhqjBshvmTrWllb
 jNu3dI9M3dAt6Euwm0jvwBoVbVHlXWeK1WCSMITzrW7JX4jotYeSqNGqPGAcDIEc0sL67WUBg
 pt+7ZRQLOla1NRTZxybVga0cDY/BYwmEl+RXyyHEoQrUOWpOlwinNOKTENYj9PFMRtIfB4imV
 orpx/9bBwxTM++4mPK84ePRLcfCWSuDcCdiMA91Nn8CRtJpMo7F5hqRSTcf9myg7kkNch8+Nl
 sOaPWLUkLHIHYfAeh0hSfAB1FVbJ/qI5/zoohxv+nQ+QtwLiSvCfdJCxQyiXijNrvW3BORNFe
 n2AfwCLLUeON+vTXD+Vcp8IIps2WZip73liGoW999pVHSb48bJMs8KDr/XHnFuZM2nLvUUPuX
 YaCk0bjkJ8Qf23wdnPJrT9978e2bsS9oCOhmSlD3CCarSR6mQ/c1NA/i3p/RKKON2mkloAl1v
 aVDnf521Clg7UY3xaViQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45748
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > I believe the problem is with:
 >
 > (window-text-pixel-size nil t)
 >
 > The FROM of t causes window-text-pixel-size to ignore leading spaces.
 > A TO of t, causes it to ignore trailing spaces. fit-frame-to-buffer
 > passes both as t. This is hardcoded unless you use
 > fit-frame-to-buffer-1
 >
 > I can't say if window-text-pixel-size is behaving as expected or not.

Neither can I but the outcome is annoying.  What would you suggest to
do?  I ask because with

  XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

the leading space on the first line must be shown.  Maybe I don't see an
all too obvious fix here.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45748; Package emacs. Full text available.

Message received at 45748 <at> debbugs.gnu.org:


Received: (at 45748) by debbugs.gnu.org; 9 Jan 2021 16:27:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 09 11:27:34 2021
Received: from localhost ([127.0.0.1]:52501 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyH5S-0001bP-4C
	for submit <at> debbugs.gnu.org; Sat, 09 Jan 2021 11:27:34 -0500
Received: from mail-yb1-f169.google.com ([209.85.219.169]:34504)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1kyH5N-0001b4-IO
 for 45748 <at> debbugs.gnu.org; Sat, 09 Jan 2021 11:27:32 -0500
Received: by mail-yb1-f169.google.com with SMTP id v67so12570016ybi.1
 for <45748 <at> debbugs.gnu.org>; Sat, 09 Jan 2021 08:27:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=ylL5ylZiv2O/5byw/ecGGgB6LDgF9cmpNrr6AXA1PBE=;
 b=EXKz7aSqFdBULxpZJWipx1DIasafgk6BDc6GQI4rbO1P8FSNITsQ10pV6k9336uY6C
 e5shUfVxNTWW/ayLrJm5MIksko5TunZIXd1SJvpdkGuGXLwqiTfXUzjXf+fOcvkO3qRw
 9Cm+zYM31Viov02+DZqnzFR+wg5d7lIHCUK6VTbgcwo5JeokSEFQfZkcalOcR69+aVhc
 hTsNzH2hNXkBdv/wXtuKgc4rOTnXu7AXW0az6Pkyj5VKAOvyCEcAdBEx5kYkkzGLMuBm
 HhQ7+s9FgUV7A2ONPvgWGrGBZ3tNw9Eki2fbEROpeA8TxbYdgeUTXJdDJcflAcg49Qnb
 Bgxg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=ylL5ylZiv2O/5byw/ecGGgB6LDgF9cmpNrr6AXA1PBE=;
 b=hZ3gz7yfTl7FwXbb9yPk1ZvZs2fddvBfiSjAlwhXTxvxt7RsGHzWxib92kuvKnn4QD
 ll3kmttNZ/+XLO+sxyjFZs3YHVw3EO7XPIa2Ck/De25k73ki62H5y7RPcFZtmgSjpBqC
 4YerDwNvPhPw1375bmRY55H3PyTpr1XyKTXG7slueLpH6NBnWTgRMEph/IlXqPw5hMaR
 +ZeLF8JPZ+Gcz5oV8rpyLIdcNplccDxtS95WlUbvs1mIareRMPzl77FT3fVewdYfx+Kt
 bMR5eySYgaXDK4VCMfqifV5LFRAcUpkZcwzPnnMwKJrj90UoMKD7XxsayZ0hP0cvvqFZ
 vU+g==
X-Gm-Message-State: AOAM532Qu6bxVupOnX26Q6S0Nzpwoeaz2MU6sNEuub2xHEjs3ouqYg4n
 +QXyYc52GPpIt7cANpoYgUTz1xMsY9PbJLt2sYV/J9Z9J2iHXw==
X-Google-Smtp-Source: ABdhPJwxN9HuXLs3rByxcc4xheQD1rwJLwwYFGXShIaq10356beutpY1w7kpOlqxdG8OZ2I0FOLkbe1OfrRk9H6fdwg=
X-Received: by 2002:a25:497:: with SMTP id 145mr12630145ybe.275.1610209643634; 
 Sat, 09 Jan 2021 08:27:23 -0800 (PST)
MIME-Version: 1.0
References: <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
In-Reply-To: <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Sat, 9 Jan 2021 10:27:12 -0600
Message-ID: <CAHyO48yZWuGQofJKrY6P4gY+KGiSpbh8aEWGcMDCE1h370Wgjg@HIDDEN>
Subject: Re: 28.0.50; fit-frame-to-buffer ignores leading spaces
To: 45748 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45748
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, Jan 9, 2021 at 9:57 AM Aaron Jensen <aaronjensen@HIDDEN> wrote:
>
> I believe the problem is with:
>
> (window-text-pixel-size nil t)
>
> The FROM of t causes window-text-pixel-size to ignore leading spaces.
> A TO of t, causes it to ignore trailing spaces. fit-frame-to-buffer
> passes both as t. This is hardcoded unless you use
> fit-frame-to-buffer-1
>
> I can't say if window-text-pixel-size is behaving as expected or not.

The problematic code appears to be here in window-text-pixel-size:

else if (EQ (from, Qt))
  {
    start = BEGV;
    bpos = BEGV_BYTE;
    while (bpos < ZV_BYTE)
      {
c = fetch_char_advance (&start, &bpos);
if (!(c == ' ' || c == '\t' || c == '\n' || c == '\r'))
  break;
      }
    while (bpos > BEGV_BYTE)
      {
dec_both (&start, &bpos);
c = FETCH_BYTE (bpos);
if (!(c == ' ' || c == '\t'))
  break;
      }
  }

The second loop looks like it's attempting to backtrack to the
beginning of the line, but FETCH_BYTE (bpos) after a dec_both returns
the same character that the first loop ended on. In other words, start
and bpos are not in sync, or the way that FETCH_BYTE works is
different. If I subtract 1 from bpos when calling FETCH_BYTE, it works
as expected.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45748; Package emacs. Full text available.

Message received at 45748 <at> debbugs.gnu.org:


Received: (at 45748) by debbugs.gnu.org; 9 Jan 2021 15:57:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 09 10:57:22 2021
Received: from localhost ([127.0.0.1]:52477 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyGcE-0000pV-06
	for submit <at> debbugs.gnu.org; Sat, 09 Jan 2021 10:57:22 -0500
Received: from mail-yb1-f181.google.com ([209.85.219.181]:46560)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1kyGcC-0000pI-M3
 for 45748 <at> debbugs.gnu.org; Sat, 09 Jan 2021 10:57:20 -0500
Received: by mail-yb1-f181.google.com with SMTP id f6so12428757ybq.13
 for <45748 <at> debbugs.gnu.org>; Sat, 09 Jan 2021 07:57:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=6yfNpA+JfQF9akJ/o6VISJXjYCQ2qt/nZyY7EyVlaqQ=;
 b=ZJUrsYQwk+3y1vR0K5venr8Ex84BlYP7pO4kCgaQDODR0in2ZSUSFlKnxmjFKIjp2f
 quBmEuheZqfui0J3Igq8WaqJH4t4y4ZMarVdQWTDyfEEChjj85WASznnVREN+Wk45CnI
 7lD2p/drG8VQTlj1P/+6iAhz13yc8OqCXOe0s50fl3UJgSiUvy6kdDfoH6SQwpEa5J0x
 AgbCdNQUhyEMEEOkJ4a3KrCt8yElbHPMya+HO/Uxp+WQImODUgVwy0LYUMI5LLjIfU2r
 sgWvAgYAwDOSeiRvztJ6hiFiQVoZC5oQhbUOsuwB/Byk59sIViU6Au+gKN84Osb3gvVZ
 PSRg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=6yfNpA+JfQF9akJ/o6VISJXjYCQ2qt/nZyY7EyVlaqQ=;
 b=s70iorT0p4831uQE38ZgH7q4AXSrHKyhuzi8vYCOongzpcN2Ub8LbNOLmeap0SO46/
 Fjd95ovZXvtrHA44hN8Q2qi7a2iXHqRHoRVIea+2TOxQa6LqZDoWw9+6dGhJ92K1zwUc
 MTdhB45lDg89ra7BPrgqSgCuEhLx+LHDp+x7H/+/dzSD7Q1sUjH5AIUWnNLTUtP8JL85
 +9hitJBcE8WjTwIF8Y0kGMQdvERYZ0LC+iEMWdzOOrt+JrbaC5/YF7HGY3mFLVZR1Owe
 I3tqg+tL8/cIP9tlBBNqB6Yd7xaeLhI9dPWVGFtmkJ+YC9J9Vde+0a6KuTd60Yxm8WTJ
 s8DA==
X-Gm-Message-State: AOAM532gcG5Nd44FU6FhZDPOHQainYuEibHMpvKDfhw7lBEBbdec/bJ4
 eG/zb2gU/JQamwd47xe1rStmyhbYWus3H895uhgMUE70cS0=
X-Google-Smtp-Source: ABdhPJyfbqHI6Ac0qc1F3UaMwUi67Z47lzwmhZkaiep/nZrmdcj+65f5WoMG/4E3B7BfUrROibHq/PapGWQ9wwdaNTw=
X-Received: by 2002:a25:9c07:: with SMTP id c7mr13187446ybo.21.1610207834862; 
 Sat, 09 Jan 2021 07:57:14 -0800 (PST)
MIME-Version: 1.0
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Sat, 9 Jan 2021 09:57:04 -0600
Message-ID: <CAHyO48xMaac+Wr9R5GezxDNUwWd4G5_QwRDfe2nf6FOWL9e=KQ@HIDDEN>
Subject: Re: 28.0.50; fit-frame-to-buffer ignores leading spaces
To: 45748 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45748
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I believe the problem is with:

(window-text-pixel-size nil t)

The FROM of t causes window-text-pixel-size to ignore leading spaces.
A TO of t, causes it to ignore trailing spaces. fit-frame-to-buffer
passes both as t. This is hardcoded unless you use
fit-frame-to-buffer-1

I can't say if window-text-pixel-size is behaving as expected or not.

Aaron




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45748; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Jan 2021 15:43:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 09 10:43:44 2021
Received: from localhost ([127.0.0.1]:52455 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyGP2-0000Sn-E8
	for submit <at> debbugs.gnu.org; Sat, 09 Jan 2021 10:43:44 -0500
Received: from lists.gnu.org ([209.51.188.17]:46960)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1kyGP0-0000Se-14
 for submit <at> debbugs.gnu.org; Sat, 09 Jan 2021 10:43:43 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:53646)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <aaronjensen@HIDDEN>)
 id 1kyGOz-0001IA-Pz
 for bug-gnu-emacs@HIDDEN; Sat, 09 Jan 2021 10:43:41 -0500
Received: from mail-yb1-xb35.google.com ([2607:f8b0:4864:20::b35]:36423)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <aaronjensen@HIDDEN>)
 id 1kyGOy-00067b-Ba
 for bug-gnu-emacs@HIDDEN; Sat, 09 Jan 2021 10:43:41 -0500
Received: by mail-yb1-xb35.google.com with SMTP id y4so12487357ybn.3
 for <bug-gnu-emacs@HIDDEN>; Sat, 09 Jan 2021 07:43:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=bPXGY//NrmUfE7N9VvQbc+y/DNh/6/wtdPm4thsPWsQ=;
 b=Nn/ne8PXPxvbJz/ZKhoikAw5oghPMzAothpY9hkCubP3mcHCV2557pQwEUDzGDwEcV
 3b5ltLNqrPUsVUolfU/btPRvwTlg+qibSOWfSdDockVQoW3UxIdcUvNbR2Z/8YH3qejn
 uzTnFbjNKoX24iIbJiLo4m9o0l2InnmvOrnvBRNcHxcKuZL9KEs6FwksylUZAoR0+fX8
 CiUA2WbaCkKFW3n1uXqEvIbKT0lbnM54LvNKZU5ZaMOC4FZV+dn1HXaao99Vs55Y4tys
 9aF4gVv0J2GT6xcLKHF3tk7n7poxLLqrXgyGcJ9M4OQZY88lmYc9SXM1KWp05IGiAAFB
 hBqg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=bPXGY//NrmUfE7N9VvQbc+y/DNh/6/wtdPm4thsPWsQ=;
 b=sIv+qMSZQP3AFANbu3ZT3ZAe10hFeqeXuk+Hsxw3Ljzi2bjicPoVewjnUVtXCedFOa
 B2+KTUcCjs6/VfgQW+sT3yJCiIKMfKvEDSCqXEdBknvwAIsmY28JYun6WcAKEGJHYnSW
 r/0rUEu2k/454j1hbKInHXsQV8+vCuVJs2tLKJPfpGv3ZKtLHZscsXI5dEfxPtbLTs2d
 0IlmdsyWWshfFnZyt13luVFVgC0MibbIv9c5mS24spXqeNiDUojdNf+qR/6yLlptecJb
 yhIbwh0Fx1RNcAL9VkHCBfysVgXi7LCSWcyBRpEWum4S+y5dTCO17uYRuUVqgIMZ37Ib
 w9MA==
X-Gm-Message-State: AOAM531RScmxrCZQE7LfxIrARh7fstlJhKF2hrjOg0Z5O3+/zhiQ0kXv
 n69tqWmsYkmfo5NX5bbk3ya7HaypVIiHteoYMboqpwlOd5y01A==
X-Google-Smtp-Source: ABdhPJyYdQj0SFzWGPfYJW5bC1mu09tc8kYh+5vcM/YweldyLH5/adfVy6eZQ6oOXzGtbqf5HqjxjXjRir9+VBDV53w=
X-Received: by 2002:a25:9c07:: with SMTP id c7mr13127354ybo.21.1610207018414; 
 Sat, 09 Jan 2021 07:43:38 -0800 (PST)
MIME-Version: 1.0
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Sat, 9 Jan 2021 09:43:27 -0600
Message-ID: <CAHyO48xpeps_xzMTv2deJCExOHDZjj2p8oOFSYpw1c+w0gVq-g@HIDDEN>
Subject: 28.0.50; fit-frame-to-buffer ignores leading spaces
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=2607:f8b0:4864:20::b35;
 envelope-from=aaronjensen@HIDDEN; helo=mail-yb1-xb35.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

From emacs -Q:

Create a buffer with only the following text and no trailing newline
(note the leading space):

 XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

M-x fit-frame-to-buffer

The frame will be resized to the width of the X's, not including the
leading space, causing the line to wrap.

If the leading space is removed, it works as expected.

Any number of leading spaces are ignored, as are trailing spaces.

This has practical applications with company-posframe, which uses
sometimes one line child windows to show completion options and has
leading and trailing spaces around each completion.

In GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin19.6.0, NS
appkit-1894.60 Version 10.15.7 (Build 19H114))
 of 2021-01-08 built on aaron-sub.local
Repository revision: d1c5e7afb1ad9890d925e8c1a5392b701a754dd5
Repository branch: master
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.7


Aaron




Acknowledgement sent to Aaron Jensen <aaronjensen@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45748; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 13 Jan 2021 14:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.